''Testprop0.spin

CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000
  IRdetpin = 0

VAR
  byte IRcode
  byte IRdev
  long irdv, irfc
  
OBJ
  IRrem   : "E_IR_Remote"
  misc    : "tools"
  ser     : "FullDuplexSerial"
                              
PUB IRremote | cog, scode, scode2
  ser.start(31,30,0,115200)
  cog := IRrem.start(IRdetpin, @IRcode, @IRdev)
  if cog > 0
    repeat
      if IRcode <> IRrem#NoNewCode 
        irdv := irdev
        irfc := ircode
        if irdv == 1
          scode := 1
        if irdv == 2
          scode := 2
        case scode  
          1 : tvpower
          2 : vcrpower
        IRrem.start(IRdetpin, @IRcode, @IRdev)
        
pub tvpower
  ser.str(string("Tv power",13))
           
pub vcrpower
  ser.str(string("Vcr power",13))
                                        